> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/vm/security-group/unassociatesecuritygroupinstance.md).

# UnAssociateSecurityGroupInstance

## 1. 接口描述

本接口(UnAssociateSecurityGroupInstance)用于为安全组解绑实例。

{% hint style="info" %}
**注意事项**

* 安全组状态需是**Available**。
* 实例状态需是**RUNNING**或**STOPPED**。
* 实例至少存在一个安全组。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型     | 描述     |
| --------------- | -- | ------ | ------ |
| securityGroupId | 是  | String | 安全组ID。 |
| instanceId      | 是  | String | 实例ID。  |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 安全组解绑实例。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnAssociateSecurityGroupInstance
<Common Request Params>

Request:
{
  "securityGroupId": "your-security-group-id",
  "instanceId": "your-instance-id"
}

Response:
{
  "requestId": "T14FA1959-C139-4030-A867-2FBC53B04840",
  "response": {
    "requestId": "T14FA1959-C139-4030-A867-2FBC53B04840"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                                        | 说明                |
| ------- | ---------------------------------------------------------- | ----------------- |
| 404     | INVALID\_SECURITY\_GROUP\_NOT\_FOUND                       | 指定的安全组不存在。        |
| 403     | OPERATION\_DENIED\_SECURITY\_GROUP\_STATUS\_NOT\_AVAILABLE | 安全组状态不是Available。 |
| 404     | INVALID\_INSTANCE\_NOT\_FOUND                              | 指定的实例不存在。         |
| 403     | OPERATION\_DENIED\_INSTANCE\_STATUS                        | 实例当前的状态不支持该操作。    |
| 403     | OPERATION\_DENIED\_INSTANCE\_NOT\_SUPPORT\_SECURITY\_GROUP | 实例不支持安全组。         |
